# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "qlog"
version = "0.18.0"
authors = ["Lucas Pardue <lucas@lucaspardue.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "qlog data model for QUIC and HTTP/3"
readme = "README.md"
keywords = [
    "quic",
    "http3",
]
categories = ["network-programming"]
license = "BSD-2-Clause"
repository = "https://github.com/cloudflare/quiche"

[features]
foundations = ["dep:foundations"]
gzip = ["dep:flate2"]
zstd = ["dep:zstd"]

[lib]
name = "qlog"
path = "src/lib.rs"

[[test]]
name = "writer_roundtrip"
path = "tests/writer_roundtrip.rs"

[dependencies.flate2]
version = "1"
optional = true

[dependencies.foundations]
version = ">=4,<6"
features = ["settings"]
optional = true
default-features = false

[dependencies.humantime]
version = "2"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"
features = ["preserve_order"]

[dependencies.serde_with]
version = "3.20.0"
features = ["macros"]
default-features = false

[dependencies.zstd]
version = "0.13"
optional = true
default-features = false

[dev-dependencies.pretty_assertions]
version = "1.4"

[dev-dependencies.tempfile]
version = "3"
